Bug 132178 - AIOOB in ProfilerRuntimeCPUFullInstr.methodEntry
AIOOB in ProfilerRuntimeCPUFullInstr.methodEntry
Status: RESOLVED WONTFIX
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 12:32 UTC by Maksim Khramov
Modified: 2009-04-15 11:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Stacktrace log for this issue (3.21 KB, text/plain)
2008-04-07 12:33 UTC, Maksim Khramov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maksim Khramov 2008-04-07 12:32:17 UTC
Product Version: NetBeans IDE Dev (Build 200804060002)
Java: 1.6.0_05; Java HotSpot(TM) Client VM 10.0-b19

Steps to reproduce:
Create AnagramGame sample application and run it under profiler (CPU mode, Profile Entire application, Profile All Classes).
Invoke Modify Profiling Session and switch from Profile All Classes to Profile Only Project classes.

Switch to tested application and invoke File->About dialog. There are exception from profiled application in IDE output:
Exception in thread "AWT-EventQueue-0" java.lang.ArrayIndexOutOfBoundsException: 6542
        at org.netbeans.lib.profiler.server.ProfilerRuntimeCPUFullInstr.methodEntry(ProfilerRuntimeCPUFullInstr.java:168)
        at java.util.Collections$UnmodifiableCollection.contains(Collections.java:1000)

see fil stacktrace in attachment
Comment 1 Maksim Khramov 2008-04-07 12:33:31 UTC
Created attachment 59763 [details]
Stacktrace log for this issue
Comment 2 J Bachorik 2008-07-09 11:46:39 UTC
Reproduced. This seems like a problem with dangling invalid instrumentation code.
Assigning.
Comment 3 Tomas Hurka 2009-02-19 10:38:29 UTC
This is actually bug in JVM. Some methods don't get redefined when using jvmti->redefineClasses. Reported as CR 6805864. 
Comment 4 Tomas Hurka 2009-04-15 11:56:28 UTC
This problem cannot be fixed in NetBeans Profiler. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo